package com.kdanmobile.admanager

import android.view.View

interface NativeAdManager {
    val listener: MutableList<NativeAdListener>
    var isPersonalized: Boolean
    fun request(adUnitId: String, nativeAdViewBinder: NativeAdViewBinder)
    fun takeAdView(adUnitId: String, nativeAdViewBinder: NativeAdViewBinder): View?
    fun isLoading(adUnitId: String): Boolean
}