package com.kdanmobile.admanager.admob

import android.os.Bundle
import com.google.ads.mediation.admob.AdMobAdapter
import com.google.android.gms.ads.AdRequest

class RequestFactory {
    companion object {
        fun create(isPersonalized: Boolean): AdRequest {
            return AdRequest.Builder().apply {
                addTestDevice("9E5CBFF6A5A91A582ABA54DC3BB5EF04")
                addTestDevice("D7EC138A6CFA6EBCB57177B36DEE314F") // kdan samsung A30s
                addTestDevice("E18469871E13E1FD7518B034A71C2139") // kdan google pixel2xl
                addTestDevice("684617801CE0245AE8DCF7E093A8CBD6") // kdan htc D930x
                addTestDevice("945D7E464B27F706E4E7D1D0D23E7909") // kdan ASUS X00RD(android Go)
                if (!isPersonalized) {
                    addNetworkExtrasBundle(AdMobAdapter::class.java, Bundle().apply {
                        putString("npa", "1")
                    })
                }
            }.build()
        }
    }
}